using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Lifetime;

namespace Fivestops.Oxide
{
    public class OxideMain
    {
        public static void Main (string[] argv)
        {
            try
            {
                CausalityClient.Init (int.Parse (argv[0]));

                OxideApplicationPool oapPool = new OxideApplicationPool();

                oapPool.ProcessRequests();
            }
            catch (Exception e)
            {
                Console.WriteLine ("ex:\n{0}", e);
            }
        }
    }
}
